package com.unis.base.server.entity;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;

public class TyChubeilyynbao {
    private String id;

    @ApiModelProperty(value = "品种指标", notes ="品种指标")
    private String pzzb;

    @ApiModelProperty(value = "期初库存", notes ="期初库存")
    private String qckc;

    @ApiModelProperty(value = "收入合计小计", notes ="收入合计小计")
    private String srhjxj;

    @ApiModelProperty(value = "收入合计从生产者购进小计", notes ="收入合计从生产者购进小计")
    private String srhjcsczgjxj;

    @ApiModelProperty(value = "收入合计从生产者购进省外", notes ="收入合计从生产者购进省外")
    private String srhjcsczgjsw;

    @ApiModelProperty(value = "收入合计从企业购进小计", notes ="收入合计从企业购进小计")
    private String srhjcqygjxj;

    @ApiModelProperty(value = "收入合计从企业购进省外", notes ="收入合计从企业购进省外")
    private String srhjcqygjsw;

    @ApiModelProperty(value = " 收入合计商品粮油转入", notes =" 收入合计商品粮油转入")
    private String srhjsplyzr;

    @ApiModelProperty(value = "收入合计进口", notes ="收入合计进口")
    private String srhjjk;

    @ApiModelProperty(value = "收入合计其他收入", notes ="收入合计其他收入")
    private String srhjqtsr;

    @ApiModelProperty(value = "支出合计小计", notes ="支出合计小计")
    private String zchjxj;

    @ApiModelProperty(value = "支出合计销售小计", notes ="支出合计销售小计")
    private String zchjxsxj;

    @ApiModelProperty(value = "支出合计销售省外", notes ="支出合计销售省外")
    private String zchjxssw;

    @ApiModelProperty(value = "支出合计转作商品粮油", notes ="支出合计转作商品粮油")
    private String zchjzzsply;

    @ApiModelProperty(value = "支出合计出口", notes ="支出合计出口")
    private String zchjck;

    @ApiModelProperty(value = "支出合计其他支出", notes ="支出合计其他支出")
    private String zchjqtzc;

    @ApiModelProperty(value = "期末库存小计", notes ="期末库存小计")
    private String qmkcxj;

    @ApiModelProperty(value = "期末库存按生产年度划分小计", notes ="期末库存按生产年度划分小计")
    private String qmkcascndhfxj;

    @ApiModelProperty(value = "期末库存按生产年度划分2015年及以前", notes ="期末库存按生产年度划分2015年及以前")
    private String qmkcerlingyiwuq;

    @ApiModelProperty(value = "期末库存按生产年度划分2016年", notes ="期末库存按生产年度划分2016年")
    private String qmkcerlingyiliu;

    @ApiModelProperty(value = "期末库存按生产年度划分2017年", notes ="期末库存按生产年度划分2017年")
    private String qmkcerlingyiqi;

    @ApiModelProperty(value = "期末库存按生产年度划分2018年", notes ="期末库存按生产年度划分2018年")
    private String qmkcerlingyiba;

    @ApiModelProperty(value = "期末库存按生产年度划分2019年", notes ="期末库存按生产年度划分2019年")
    private String qmkcerlingyijiu;

    @ApiModelProperty(value = "期末库存按生产年度划分2020年", notes ="期末库存按生产年度划分2020年")
    private String qmkcerlingerling;

    @ApiModelProperty(value = "期末库存按生产年度划分2021年", notes ="期末库存按生产年度划分2021年")
    private String qmkcerlingeryi;

    @ApiModelProperty(value = "期末库存按生产年度划分2022年", notes ="期末库存按生产年度划分2022年")
    private String qmkcerlingerer;

    @ApiModelProperty(value = "期末库存按生产年度划分2023年", notes ="期末库存按生产年度划分2023年")
    private String qmkcerlingersan;

    @ApiModelProperty(value = "期末库存按生产年度划分2024年", notes ="期末库存按生产年度划分2024年")
    private String qmkcerlingersi;

    @ApiModelProperty(value = "期末库存按生产年度划分2025年", notes ="期末库存按生产年度划分2025年")
    private String qmkcerlingerwu;

    @ApiModelProperty(value = " 期末库存小包装", notes =" 期末库存小包装")
    private String qmkcxbz;

    @ApiModelProperty(value = " 期末库存省外储存", notes =" 期末库存省外储存")
    private String qmkcswcc;

    @ApiModelProperty(value = " 动态储备  ", notes =" 动态储备 ")
    private String dtcb;

    @ApiModelProperty(value = "区分地方1 市级2  区级3 ", notes ="区分地方1 市级2  区级3")
    private Integer type;

    @ApiModelProperty(value = "报表时间 ", notes =" 报表时间 ")
    private String baobiaoshijian;

    @ApiModelProperty(value = "区分月报/年报  1月报/2年报 ", notes =" 区分月报/年报  1月报/2年报 ")
    private Integer yuebaoornianbao;

    @ApiModelProperty(value = "创建单位 ", notes =" 创建单位")
    private String cjdw;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间 ", notes =" 创建时间")
    private Date cjsj;
    
    @ApiModelProperty(value = "用于排序 ", notes ="用于排序")
    private Integer insertnumber;
    
    

    public Integer getInsertnumber() {
		return insertnumber;
	}

	public void setInsertnumber(Integer insertnumber) {
		this.insertnumber = insertnumber;
	}

	/**
     * null
     * @return id null
     */
    public String getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * null
     * @return pzzb null
     */
    public String getPzzb() {
        return pzzb;
    }

    /**
     * null
     * @param pzzb null
     */
    public void setPzzb(String pzzb) {
        this.pzzb = pzzb == null ? null : pzzb.trim();
    }

    /**
     * null
     * @return qckc null
     */
    public String getQckc() {
        return qckc;
    }

    /**
     * null
     * @param qckc null
     */
    public void setQckc(String qckc) {
        this.qckc = qckc == null ? null : qckc.trim();
    }

    /**
     * null
     * @return srhjxj null
     */
    public String getSrhjxj() {
        return srhjxj;
    }

    /**
     * null
     * @param srhjxj null
     */
    public void setSrhjxj(String srhjxj) {
        this.srhjxj = srhjxj == null ? null : srhjxj.trim();
    }

    /**
     * null
     * @return srhjcsczgjxj null
     */
    public String getSrhjcsczgjxj() {
        return srhjcsczgjxj;
    }

    /**
     * null
     * @param srhjcsczgjxj null
     */
    public void setSrhjcsczgjxj(String srhjcsczgjxj) {
        this.srhjcsczgjxj = srhjcsczgjxj == null ? null : srhjcsczgjxj.trim();
    }

    /**
     * null
     * @return srhjcsczgjsw null
     */
    public String getSrhjcsczgjsw() {
        return srhjcsczgjsw;
    }

    /**
     * null
     * @param srhjcsczgjsw null
     */
    public void setSrhjcsczgjsw(String srhjcsczgjsw) {
        this.srhjcsczgjsw = srhjcsczgjsw == null ? null : srhjcsczgjsw.trim();
    }

    /**
     * null
     * @return srhjcqygjxj null
     */
    public String getSrhjcqygjxj() {
        return srhjcqygjxj;
    }

    /**
     * null
     * @param srhjcqygjxj null
     */
    public void setSrhjcqygjxj(String srhjcqygjxj) {
        this.srhjcqygjxj = srhjcqygjxj == null ? null : srhjcqygjxj.trim();
    }

    /**
     * null
     * @return srhjcqygjsw null
     */
    public String getSrhjcqygjsw() {
        return srhjcqygjsw;
    }

    /**
     * null
     * @param srhjcqygjsw null
     */
    public void setSrhjcqygjsw(String srhjcqygjsw) {
        this.srhjcqygjsw = srhjcqygjsw == null ? null : srhjcqygjsw.trim();
    }

    /**
     * null
     * @return srhjsplyzr null
     */
    public String getSrhjsplyzr() {
        return srhjsplyzr;
    }

    /**
     * null
     * @param srhjsplyzr null
     */
    public void setSrhjsplyzr(String srhjsplyzr) {
        this.srhjsplyzr = srhjsplyzr == null ? null : srhjsplyzr.trim();
    }

    /**
     * null
     * @return srhjjk null
     */
    public String getSrhjjk() {
        return srhjjk;
    }

    /**
     * null
     * @param srhjjk null
     */
    public void setSrhjjk(String srhjjk) {
        this.srhjjk = srhjjk == null ? null : srhjjk.trim();
    }

    /**
     * null
     * @return srhjqtsr null
     */
    public String getSrhjqtsr() {
        return srhjqtsr;
    }

    /**
     * null
     * @param srhjqtsr null
     */
    public void setSrhjqtsr(String srhjqtsr) {
        this.srhjqtsr = srhjqtsr == null ? null : srhjqtsr.trim();
    }

    /**
     * null
     * @return zchjxj null
     */
    public String getZchjxj() {
        return zchjxj;
    }

    /**
     * null
     * @param zchjxj null
     */
    public void setZchjxj(String zchjxj) {
        this.zchjxj = zchjxj == null ? null : zchjxj.trim();
    }

    /**
     * null
     * @return zchjxsxj null
     */
    public String getZchjxsxj() {
        return zchjxsxj;
    }

    /**
     * null
     * @param zchjxsxj null
     */
    public void setZchjxsxj(String zchjxsxj) {
        this.zchjxsxj = zchjxsxj == null ? null : zchjxsxj.trim();
    }

    /**
     * null
     * @return zchjxssw null
     */
    public String getZchjxssw() {
        return zchjxssw;
    }

    /**
     * null
     * @param zchjxssw null
     */
    public void setZchjxssw(String zchjxssw) {
        this.zchjxssw = zchjxssw == null ? null : zchjxssw.trim();
    }

    /**
     * null
     * @return zchjzzsply null
     */
    public String getZchjzzsply() {
        return zchjzzsply;
    }

    /**
     * null
     * @param zchjzzsply null
     */
    public void setZchjzzsply(String zchjzzsply) {
        this.zchjzzsply = zchjzzsply == null ? null : zchjzzsply.trim();
    }

    /**
     * null
     * @return zchjck null
     */
    public String getZchjck() {
        return zchjck;
    }

    /**
     * null
     * @param zchjck null
     */
    public void setZchjck(String zchjck) {
        this.zchjck = zchjck == null ? null : zchjck.trim();
    }

    /**
     * null
     * @return zchjqtzc null
     */
    public String getZchjqtzc() {
        return zchjqtzc;
    }

    /**
     * null
     * @param zchjqtzc null
     */
    public void setZchjqtzc(String zchjqtzc) {
        this.zchjqtzc = zchjqtzc == null ? null : zchjqtzc.trim();
    }

    /**
     * null
     * @return qmkcxj null
     */
    public String getQmkcxj() {
        return qmkcxj;
    }

    /**
     * null
     * @param qmkcxj null
     */
    public void setQmkcxj(String qmkcxj) {
        this.qmkcxj = qmkcxj == null ? null : qmkcxj.trim();
    }

    /**
     * null
     * @return qmkcascndhfxj null
     */
    public String getQmkcascndhfxj() {
        return qmkcascndhfxj;
    }

    /**
     * null
     * @param qmkcascndhfxj null
     */
    public void setQmkcascndhfxj(String qmkcascndhfxj) {
        this.qmkcascndhfxj = qmkcascndhfxj == null ? null : qmkcascndhfxj.trim();
    }

    /**
     * null
     * @return qmkcerlingyiwuq null
     */
    public String getQmkcerlingyiwuq() {
        return qmkcerlingyiwuq;
    }

    /**
     * null
     * @param qmkcerlingyiwuq null
     */
    public void setQmkcerlingyiwuq(String qmkcerlingyiwuq) {
        this.qmkcerlingyiwuq = qmkcerlingyiwuq == null ? null : qmkcerlingyiwuq.trim();
    }

    /**
     * null
     * @return qmkcerlingyiliu null
     */
    public String getQmkcerlingyiliu() {
        return qmkcerlingyiliu;
    }

    /**
     * null
     * @param qmkcerlingyiliu null
     */
    public void setQmkcerlingyiliu(String qmkcerlingyiliu) {
        this.qmkcerlingyiliu = qmkcerlingyiliu == null ? null : qmkcerlingyiliu.trim();
    }

    /**
     * null
     * @return qmkcerlingyiqi null
     */
    public String getQmkcerlingyiqi() {
        return qmkcerlingyiqi;
    }

    /**
     * null
     * @param qmkcerlingyiqi null
     */
    public void setQmkcerlingyiqi(String qmkcerlingyiqi) {
        this.qmkcerlingyiqi = qmkcerlingyiqi == null ? null : qmkcerlingyiqi.trim();
    }

    /**
     * null
     * @return qmkcerlingyiba null
     */
    public String getQmkcerlingyiba() {
        return qmkcerlingyiba;
    }

    /**
     * null
     * @param qmkcerlingyiba null
     */
    public void setQmkcerlingyiba(String qmkcerlingyiba) {
        this.qmkcerlingyiba = qmkcerlingyiba == null ? null : qmkcerlingyiba.trim();
    }

    /**
     * null
     * @return qmkcerlingyijiu null
     */
    public String getQmkcerlingyijiu() {
        return qmkcerlingyijiu;
    }

    /**
     * null
     * @param qmkcerlingyijiu null
     */
    public void setQmkcerlingyijiu(String qmkcerlingyijiu) {
        this.qmkcerlingyijiu = qmkcerlingyijiu == null ? null : qmkcerlingyijiu.trim();
    }

    /**
     * null
     * @return qmkcerlingerling null
     */
    public String getQmkcerlingerling() {
        return qmkcerlingerling;
    }

    /**
     * null
     * @param qmkcerlingerling null
     */
    public void setQmkcerlingerling(String qmkcerlingerling) {
        this.qmkcerlingerling = qmkcerlingerling == null ? null : qmkcerlingerling.trim();
    }

    /**
     * null
     * @return qmkcerlingeryi null
     */
    public String getQmkcerlingeryi() {
        return qmkcerlingeryi;
    }

    /**
     * null
     * @param qmkcerlingeryi null
     */
    public void setQmkcerlingeryi(String qmkcerlingeryi) {
        this.qmkcerlingeryi = qmkcerlingeryi == null ? null : qmkcerlingeryi.trim();
    }

    /**
     * null
     * @return qmkcerlingerer null
     */
    public String getQmkcerlingerer() {
        return qmkcerlingerer;
    }

    /**
     * null
     * @param qmkcerlingerer null
     */
    public void setQmkcerlingerer(String qmkcerlingerer) {
        this.qmkcerlingerer = qmkcerlingerer == null ? null : qmkcerlingerer.trim();
    }

    /**
     * null
     * @return qmkcerlingersan null
     */
    public String getQmkcerlingersan() {
        return qmkcerlingersan;
    }

    /**
     * null
     * @param qmkcerlingersan null
     */
    public void setQmkcerlingersan(String qmkcerlingersan) {
        this.qmkcerlingersan = qmkcerlingersan == null ? null : qmkcerlingersan.trim();
    }

    /**
     * null
     * @return qmkcerlingersi null
     */
    public String getQmkcerlingersi() {
        return qmkcerlingersi;
    }

    /**
     * null
     * @param qmkcerlingersi null
     */
    public void setQmkcerlingersi(String qmkcerlingersi) {
        this.qmkcerlingersi = qmkcerlingersi == null ? null : qmkcerlingersi.trim();
    }

    /**
     * null
     * @return qmkcerlingerwu null
     */
    public String getQmkcerlingerwu() {
        return qmkcerlingerwu;
    }

    /**
     * null
     * @param qmkcerlingerwu null
     */
    public void setQmkcerlingerwu(String qmkcerlingerwu) {
        this.qmkcerlingerwu = qmkcerlingerwu == null ? null : qmkcerlingerwu.trim();
    }

    /**
     * null
     * @return qmkcxbz null
     */
    public String getQmkcxbz() {
        return qmkcxbz;
    }

    /**
     * null
     * @param qmkcxbz null
     */
    public void setQmkcxbz(String qmkcxbz) {
        this.qmkcxbz = qmkcxbz == null ? null : qmkcxbz.trim();
    }

    /**
     * null
     * @return qmkcswcc null
     */
    public String getQmkcswcc() {
        return qmkcswcc;
    }

    /**
     * null
     * @param qmkcswcc null
     */
    public void setQmkcswcc(String qmkcswcc) {
        this.qmkcswcc = qmkcswcc == null ? null : qmkcswcc.trim();
    }

    /**
     * null
     * @return dtcb null
     */
    public String getDtcb() {
        return dtcb;
    }

    /**
     * null
     * @param dtcb null
     */
    public void setDtcb(String dtcb) {
        this.dtcb = dtcb == null ? null : dtcb.trim();
    }

    /**
     * null
     * @return type null
     */
    public Integer getType() {
        return type;
    }

    /**
     * null
     * @param type null
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * null
     * @return baobiaoshijian null
     */
    public String getBaobiaoshijian() {
        return baobiaoshijian;
    }

    /**
     * null
     * @param baobiaoshijian null
     */
    public void setBaobiaoshijian(String baobiaoshijian) {
        this.baobiaoshijian = baobiaoshijian == null ? null : baobiaoshijian.trim();
    }

    /**
     * null
     * @return yuebaoornianbao null
     */
    public Integer getYuebaoornianbao() {
        return yuebaoornianbao;
    }

    /**
     * null
     * @param yuebaoornianbao null
     */
    public void setYuebaoornianbao(Integer yuebaoornianbao) {
        this.yuebaoornianbao = yuebaoornianbao;
    }

    /**
     * null
     * @return cjdw null
     */
    public String getCjdw() {
        return cjdw;
    }

    /**
     * null
     * @param cjdw null
     */
    public void setCjdw(String cjdw) {
        this.cjdw = cjdw == null ? null : cjdw.trim();
    }

    /**
     * null
     * @return cjsj null
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * null
     * @param cjsj null
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }
}